MessageDispatching (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.MessageDispatching interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MessageDispatching

All Known Subinterfaces:
  MessageDispatcher, OutboundEndpoint

All Known Implementing Classes:
  AbstractMessageDispatcher, AxisMessageDispatcher, AxisWsdlMessageDispatcher, CxfMessageDispatcher, CxfWsdlMessageDispatcher, DefaultOutboundEndpoint, DynamicURIOutboundEndpoint, EjbMessageDispatcher, FileMessageDispatcher, FtpMessageDispatcher, HttpClientMessageDispatcher, JdbcMessageDispatcher, JmsMessageDispatcher, ProcessMessageDispatcher, QuartzMessageDispatcher, RmiMessageDispatcher, SmtpMessageDispatcher, StdioMessageDispatcher, TcpMessageDispatcher, UdpMessageDispatcher, UnsupportedMessageDispatcher, VMMessageDispatcher, XmppMessageDispatcher

    public interface MessageDispatching

Define generic methods for dispatching events. The exact behaviour of the action is defined by the implementing class.

See Also:
  `OutboundEndpoint`, `MessageDispatcher`

Field Summary
`static long` | `RECEIVE_NO_WAIT`
`static long` | `RECEIVE_WAIT_INDEFINITELY`

Method Summary
`void` | `dispatch(MuleEvent event)` Dispatches an event from the endpoint to the external system
`MuleMessage` | `send(MuleEvent event)` Sends an event from the endpoint to the external system

Field Detail

### RECEIVE_WAIT_INDEFINITELY

    static final long RECEIVE_WAIT_INDEFINITELY

See Also:
  Constant Field Values

### RECEIVE_NO_WAIT

    static final long RECEIVE_NO_WAIT

See Also:
  Constant Field Values

Method Detail

### dispatch

    void dispatch(MuleEvent event)
                  throws DispatchException

  Dispatches an event from the endpoint to the external system

  Parameters:
    `event` - The event to dispatch
  Throws:
    `DispatchException` - if the event fails to be dispatched

### send

    MuleMessage send(MuleEvent event)
                     throws DispatchException

  Sends an event from the endpoint to the external system

  Parameters:
    `event` - The event to send
  Returns:
    event the response form the external system wrapped in a MuleEvent
  Throws:
    `DispatchException` - if the event fails to be dispatched

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.